//+------------------------------------------------------------------+
//|                                                         Mult.mq4 |
//|                                     143alex          Sanyooooook |
//|                          143alex@rambler.ru, sanyooooook@mail.ru |
//+------------------------------------------------------------------+
#property copyright "143alex & Sanyooooook"
#property link      "143alex@rambler.ru, sanyooooook@mail.ru"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Yellow// 
#property indicator_color3 Silver// 

//---- input parameters
extern datetime    DataStart=D'2011.07.18';//    


extern string Symbol1="EURUSD";
extern int    X=1; // 1   -1 
extern double Lot1=0.1;
extern string Symbol2="GBPUSD";
extern int    Y=-1; // 1   -1 
extern double Lot2=0.1;
extern string Symbol3="EURGBP";
extern int    Z=-1; // 1   -1 
extern double Lot3=0.09;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
 IndicatorDigits(5);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   //int    counted_bars=IndicatorCounted();
  
 //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   int i,limit, counted_bars = IndicatorCounted();
   int    k;
  
//----
   if(Bars <= 1000) 
       return(0);
//---- initial zero
   if(counted_bars < 1)
      for(i = 1;i <= 1000; i++) 
          ExtMapBuffer1[Bars-i] = 0.0;
       
//----
   i = Bars - 1000 - 1;
   if(counted_bars >= 1000) 
       i = Bars - counted_bars - 1;
    //----
 while (i>=0)
   {
      {
     datetime t=Time[i];  
   double BidTimeStart1=iClose(Symbol1,0,iBarShift(Symbol1,0,DataStart,false))/MarketInfo(Symbol1,MODE_POINT)*MarketInfo(Symbol1,MODE_TICKVALUE)*Lot1;
   double BidTimeStart2=iClose(Symbol2,0,iBarShift(Symbol2,0,DataStart,false))/MarketInfo(Symbol2,MODE_POINT)*MarketInfo(Symbol2,MODE_TICKVALUE)*Lot2;
   double BidTimeStart3=iClose(Symbol3,0,iBarShift(Symbol3,0,DataStart,false))/MarketInfo(Symbol3,MODE_POINT)*MarketInfo(Symbol3,MODE_TICKVALUE)*Lot3;
   //**********************************
   double SpeadPrise1=MarketInfo(Symbol1,MODE_SPREAD)*MarketInfo(Symbol1,MODE_TICKVALUE)*Lot1;
   double SpeadPrise2=MarketInfo(Symbol2,MODE_SPREAD)*MarketInfo(Symbol2,MODE_TICKVALUE)*Lot2;
   double SpeadPrise3=MarketInfo(Symbol3,MODE_SPREAD)*MarketInfo(Symbol3,MODE_TICKVALUE)*Lot3;
   //**********************************
   double PriseShift1=iClose(Symbol1,0, iBarShift(Symbol1,0,t))/MarketInfo(Symbol1,MODE_POINT)*MarketInfo(Symbol1,MODE_TICKVALUE)*Lot1;
   double PriseShift2=iClose(Symbol2,0, iBarShift(Symbol2,0,t))/MarketInfo(Symbol2,MODE_POINT)*MarketInfo(Symbol2,MODE_TICKVALUE)*Lot2;
   double PriseShift3=iClose(Symbol3,0, iBarShift(Symbol3,0,t))/MarketInfo(Symbol3,MODE_POINT)*MarketInfo(Symbol3,MODE_TICKVALUE)*Lot3;

   double TEST1=(BidTimeStart1-PriseShift1+SpeadPrise1)*X;  
   double TEST2=(BidTimeStart2-PriseShift2+SpeadPrise2)*Y;  
   double TEST3=(BidTimeStart3-PriseShift3+SpeadPrise3)*Z;     
     
       ExtMapBuffer1[i]= TEST1+TEST2+TEST3;
     
  
   
   
    Comment(" __",DoubleToStr(SpeadPrise1+SpeadPrise2+SpeadPrise3,2),"\n",
             Symbol1+"___ ",DoubleToStr( Lot1,2),"\n",
             Symbol2+"___ ",DoubleToStr( Lot2,2),"\n",
             Symbol3+"___ ",DoubleToStr( Lot3,2)
           
            
              );
      }
   i--;
   }
 
 //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   
   
  
   return(0);
  }
//+------------------------------------------------------------------+

